
Foreman - Bug #4932

Creating Compute Resource results in DB error

03/28/2014 02:46 AM - Mike McCune

Status: Duplicate   

Priority: High   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

- Make sure Organizations are enabled

- Create a Compute Resource

- Notice error:

Warning!

ERROR: duplicate key value violates unique constraint "compute_resources_pkey" 

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing s

ystem, You would probably need to attach the Full trace and relevant log entries.

Related issues:

Related to Foreman - Bug #4731: Creating domain when organization selected pr... Closed 03/19/2014

History

#1 - 03/28/2014 08:20 AM - Dominic Cleal

- Related to Bug #4731: Creating domain when organization selected produces duplicate key error added

#2 - 03/30/2014 07:20 AM - Joseph Magen

- Status changed from New to Assigned

#3 - 03/30/2014 08:36 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/1337

#4 - 03/30/2014 08:47 AM - Ohad Levy

can you confirm your database was copied using prod2dev rake task?

#5 - 03/30/2014 10:05 PM - Mike McCune

my database was a fresh install of the nightly build and definitely not upgraded or pre-existing from any prior version

#6 - 03/31/2014 07:23 AM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate

- Assignee deleted (Joseph Magen)

#4731 covers this adequately.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://github.com/theforeman/foreman/pull/1337
https://projects.theforeman.org/issues/4731
http://www.tcpdf.org

